### Constructor

# Gdk Cursor new_from_callback

since: 4.16

#### Declaration [src]

    GdkCursor*
    gdk_cursor_new_from_callback (
      GdkCursorGetTextureCallback callback,
      gpointer data,
      GDestroyNotify destroy,
      GdkCursor* fallback
    )

#### Description [src]

Creates a new callback-based cursor object.

Cursors of this kind produce textures for the cursor image on demand, when the `callback` is called.

Available since: 4.16

#### Parameters

`callback`

  Type: `GdkCursorGetTextureCallback`

  The `GdkCursorGetTextureCallback`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  Destroy notify for `data`.

`fallback`

  Type: `GdkCursor`

  The `GdkCursor` to fall back to when this one cannot be supported.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GdkCursor`

A new `GdkCursor`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.